# RSL_radar_to_uf

# RSL_radar_to_uf_fp

# RSL_radar_to_uf_gzip

### Synopsis

#include "rsl.h"
void RSL_radar_to_uf(Radar *r, char *outfile);
void RSL_radar_to_uf_fp(Radar *r, FILE *fp);
void RSL_radar_to_uf_gzip(Radar *r, char *outfile);

###

Description

Output the Radar structure, pointed to by r, to disk. The output filename is specified in outfile. The output UF file incorporates the NON-UF conforming NCAR record structure. Each UF record is surrounded by a 4 byte integer leading the UF buffer and a 4 byte integer trailing the UF buffer. The integer value represents the number of bytes for the UF buffer. This comes from the unformatted Fortran record descriptors. No UF library needed; the UF code in part of RSL. The routine RSL_radar_to_uf_fp takes a file pointer and is called by RSL_radar_to_uf and RSL_radar_to_uf_gzip. RSL_radar_to_uf_gzip passes the UF output through the GNU gzip compression filter; basically compressing the output on the fly.

### Return value

None.

### See also

RSL_uf_to_radar, RSL_write_radar

Author: John H. Merritt